Bug 1166348 - Please branch and build for EPEL7
Summary: Please branch and build for EPEL7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tycho
Version: 22
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 21:35 UTC by Orion Poplawski
Modified: 2016-07-19 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:50:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2014-11-20 21:35:42 UTC
Description of problem:

It would seem that we need tycho in EPEL7 to build various items in EPEL7 and EPEL7 coprs.  Is this possible?

Comment 1 Roland Grunberg 2015-01-29 16:06:44 UTC
I've found some locations that seem to host the necessary RPMs (https://copr.fedoraproject.org/coprs/rhscl/devtoolset-3-el7/). Would this be enough ? Otherwise, prerequisites would be having the maven stack (maven + plugins) and various other lower level java dependencies in place. From there it's just a matter of modifying a few tycho patches depending on the version of various other things to get a bootstrap build.

Much like Bug 1155214, this kind of work often ends up being lower priority on the list of things we end up being able to do.

Comment 2 Orion Poplawski 2015-02-02 16:37:09 UTC
I have been able to do the necessary builds using the https://asamalik.fedorapeople.org/devtoolset-3-build/ repo.  Still think this would be nice to have, but agree that it is somewhat low priority.

Comment 3 Jaroslav Reznik 2015-03-03 16:31:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 20:50:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.